Bug 11909 - cannot find -lz
Summary: cannot find -lz
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-04 22:45 UTC by afay
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-04 22:45:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description afay 2000-06-04 22:45:24 UTC
Here is the output of make when it fails:

Making all in .
make[2]: Entering directory `/usr/src/rpm-3.0.4'
/bin/sh ./libtool --mode=link gcc -g -O2 -D_GNU_SOURCE -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -all-static -L./build -L./lib -L./popt -o rpm2cpio  rpm2cpio.o ./build/.libs/librpmbuild.a      ./lib/.libs/librpm.a    ./popt/.libs/libpopt.a       -L/usr/local/lib -ldb1 -lz -lbz2
gcc -g -O2 -D_GNU_SOURCE -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -static -L./build -L./lib -L./popt -o rpm2cpio rpm2cpio.o ./build/.libs/librpmbuild.a ./lib/.libs/librpm.a ./popt/.libs/libpopt.a -L/usr/local/lib -ldb1 -lz -lbz2
/usr/i686-pc-linux-gnu/bin/ld: cannot find -lz
collect2: ld returned 1 exit status
make[2]: *** [rpm2cpio] Error 1
make[2]: Leaving directory `/usr/src/rpm-3.0.4'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/rpm-3.0.4'
make: *** [all-recursive-am] Error 2

configure did not complain about -lz (I'm guessing that's zlib). There
were no problems up to this point either. I'm using zlib-1.1.3.
Any ideas?

Comment 1 afay 2000-06-05 00:34:23 UTC
I had libz compiled as a shared library only. When I recompiled as a static 
library everything worked.


Note You need to log in before you can comment on or make changes to this bug.